Closed Bug 955262 Opened 8 years ago Closed 8 years ago

Update to Mozilla 20

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: clokep)

References

()

Details

(Whiteboard: [1.4-wanted])

Attachments

(4 files, 2 obsolete files)

*** Original post on bio 1829 at 2012-11-25 14:07:00 UTC ***

.
Whiteboard: [1.4-wanted]
Attached patch Update patchesSplinter Review
*** Original post on bio 1829 as attmnt 2353 at 2013-04-13 15:37:00 UTC ***

I'm building with this now, if it works fine I'll request review. (All the patches applied OK except for the Bonjour license one, which I updated, and the use clang on OS X one, which was already applied upstream.)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
*** Original post on bio 1829 at 2013-04-15 01:24:33 UTC ***

More changes:
- Prefix the constants in imICommandsService (CONTEXT_ALL seems to be defined on Windows)
- Adapted purpleDNS.cpp for http://hg.mozilla.org/mozilla-central/rev/7f5fad93ef78
- Need to add ByteCountReceived and ByteCountSend to purpleSockets.cpp
- Changes to trayToolkit.cpp for http://hg.mozilla.org/mozilla-central/rev/57427d474c9a
Attached patch Changes to compile (obsolete) — Splinter Review
*** Original post on bio 1829 as attmnt 2359 at 2013-04-15 02:37:00 UTC ***

These are the changes necessary to compile and get a build to work. libpurple accounts don't seem to connect properly with these changes though. I'm hoping Florian has some idea why.
Attachment #8354126 - Flags: feedback?(florian)
*** Original post on bio 1829 as attmnt 2360 at 2013-04-15 02:47:00 UTC ***

This patch ports configure.in (and friends) changes:
https://bugzilla.mozilla.org/show_bug.cgi?id=807488 / http://hg.mozilla.org/releases/comm-release/rev/0e87bd250f40
https://bugzilla.mozilla.org/show_bug.cgi?id=808399 / http://hg.mozilla.org/releases/comm-release/rev/7465c559c0a5
https://bugzilla.mozilla.org/show_bug.cgi?id=810707 / http://hg.mozilla.org/releases/comm-release/rev/2d2b781f42eb
https://bugzilla.mozilla.org/show_bug.cgi?id=813526 / http://hg.mozilla.org/releases/comm-release/rev/0228cef8fb83

We probably have some other stuff to port for these files, but that's bug 955017 (bio 1587), this is just the changes from Mozilla 19/20 (and they seemed likely to avoid issues, so I ported them!) Note that this patch is based on top of the kill wince patch (bug 954994 (bio 1563)), so I can't promise these will apply cleanly without that being checked in first.
Attachment #8354127 - Flags: review?(florian)
Comment on attachment 8354120 [details] [diff] [review]
Update patches

*** Original change on bio 1829 attmnt 2353 at 2013-04-15 02:48:41 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354120 - Flags: review?(florian)
Comment on attachment 8354120 [details] [diff] [review]
Update patches

*** Original change on bio 1829 attmnt 2353 at 2013-04-15 23:51:43 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354120 - Flags: review?(florian) → review+
Comment on attachment 8354127 [details] [diff] [review]
Port configure changes

*** Original change on bio 1829 attmnt 2360 at 2013-04-15 23:55:11 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354127 - Flags: review?(florian) → review+
Attached patch Fix purpleDNS.cpp (obsolete) — Splinter Review
*** Original post on bio 1829 as attmnt 2372 at 2013-04-16 21:45:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354139 - Flags: review?(clokep)
*** Original post on bio 1829 as attmnt 2373 at 2013-04-16 22:48:00 UTC ***

For some obscure reason, the |using namespace| line doesn't work when I do an universal build.
Comment on attachment 8354139 [details] [diff] [review]
Fix purpleDNS.cpp

*** Original change on bio 1829 attmnt 2372 at 2013-04-16 22:48:05 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354139 - Attachment is obsolete: true
Attachment #8354139 - Flags: review?(clokep)
Comment on attachment 8354140 [details] [diff] [review]
Fix purpleDNS.cpp v2

*** Original change on bio 1829 attmnt 2373 at 2013-04-16 23:08:12 UTC ***

Seems to work on Windows!
Attachment #8354140 - Flags: review+
*** Original post on bio 1829 as attmnt 2374 at 2013-04-16 23:10:00 UTC ***

This removes the changes I had for purpleDNS.cpp so it applies cleanly.
Attachment #8354141 - Flags: review?(florian)
Comment on attachment 8354126 [details] [diff] [review]
Changes to compile

*** Original change on bio 1829 attmnt 2359 at 2013-04-16 23:10:11 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354126 - Attachment is obsolete: true
Attachment #8354126 - Flags: feedback?(florian)
Comment on attachment 8354141 [details] [diff] [review]
Changes to compile v2

*** Original change on bio 1829 attmnt 2374 at 2013-04-16 23:13:15 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354141 - Flags: review?(florian) → review+
Depends on: 955375
Depends on: 955392
Blocks: 955394
Blocks: 955433
No longer blocks: 955433
You need to log in before you can comment on or make changes to this bug.